cc.Class({
    extends: cc.Component,

    properties: {
        audio: {
            default: null,
            url: cc.AudioClip,
        },
    },

    // use this for initialization
    onLoad: function () {
        this._audioId = cc.audioEngine.play(this.audio, true, 1);
        this.scheduleOnce(this._loadOtherScene, 5);
    },
    
    _loadOtherScene() {
        cc.audioEngine.stop(this._audioId); 
        cc.director.loadScene('another');
    },

    // called every frame
    update: function (dt) {

    },
});
